Page MenuHomePhabricator

Strict Standards warning
Closed, ResolvedPublic

Description

I get this warning with CleanChanges 1.28+8a0087c:

Strict Standards: Declaration of NCL::recentChangesLine() should be compatible with EnhancedChangesList::recentChangesLine(&$rc, $watched = false, $linenumber = NULL) in /home/pierre/www/archi-mediawiki/extensions/CleanChanges/CleanChanges_body.php on line 6

Event Timeline

Rudloff created this task.Nov 28 2016, 10:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2016, 10:02 PM

Any news on this? I can submit a patch if needed.

Change 335029 had a related patch set uploaded (by Rudloff):
Make NCL::recentChangesLine() compatible with EnhancedChangesList::recentChangesLine()

https://gerrit.wikimedia.org/r/335029

Change 335029 merged by jenkins-bot:
Make NCL::recentChangesLine() compatible with EnhancedChangesList::recentChangesLine()

https://gerrit.wikimedia.org/r/335029

Nikerabbit closed this task as Resolved.
Nikerabbit triaged this task as Low priority.